#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire1400six4xi.py">
#<abstract4xi abstract = "fires to direction six and to distance 1400"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six14004xi



# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2six14004xi = {
                1:'-1014x791y-552z',
                2:'-1032x741y-587z',
                3:'-1041x933y-46z',
                4:'-1049x734y-565z',
                5:'-1064x683y-599z',
                6:'-1081x675y-577z',
                7:'-1088x877y-60z',
                8:'-1093x623y-612z',
                9:'-1110x614y-590z',
                10:'-1119x562y-625z',
                11:'-1132x819y-74z',
                12:'-1141x500y-637z',
                13:'-1159x438y-649z',
                14:'-1173x758y-87z',
                15:'-1175x374y-662z',
                16:'-1186x311y-674z',
                17:'-1194x247y-686z',
                18:'-1197x56y-723z',
                19:'-1199x119y-711z',
                20:'-1199x183y-699z',
                21:'-1210x695y-101z',
                22:'-1216x592y-646z',
                23:'-121x515y-1295z',
                24:'-123x994y-977z',
                25:'-1244x630y-115z',
                26:'-1274x564y-129z',
                27:'-1301x496y-143z',
                28:'-1323x426y-157z',
                29:'-1342x356y-171z',
                30:'-1357x285y-185z',
                31:'-1369x213y-199z',
                32:'-1376x141y-213z',
                33:'-1379x69y-227z',
                34:'-144x496y-1301z',
                35:'-147x1340y-377z',
                36:'-165x475y-1306z',
                37:'-173x977y-987z',
                38:'-185x454y-1311z',
                39:'-192x5y-1386z',
                40:'-203x431y-1316z',
                41:'-205x17y-1384z',
                42:'-217x1326y-390z',
                43:'-218x29y-1382z',
                44:'-219x409y-1320z',
                45:'-222x956y-997z',
                46:'-229x43y-1380z',
                47:'-233x385y-1325z',
                48:'-235x1330y-367z',
                49:'-240x58y-1377z',
                50:'-246x361y-1329z',
                51:'-250x75y-1375z',
                52:'-256x337y-1334z',
                53:'-259x93y-1372z',
                54:'-265x313y-1338z',
                55:'-266x111y-1369z',
                56:'-269x934y-1007z',
                57:'-272x131y-1366z',
                58:'-272x289y-1342z',
                59:'-277x152y-1363z',
                60:'-277x265y-1346z',
                61:'-280x173y-1360z',
                62:'-280x242y-1350z',
                63:'-282x195y-1357z',
                64:'-282x218y-1353z',
                65:'-285x1309y-404z',
                66:'-303x1312y-380z',
                67:'-314x909y-1016z',
                68:'-352x1288y-417z',
                69:'-358x882y-1026z',
                70:'-370x1291y-394z',
                71:'-399x852y-1035z',
                72:'-418x1264y-430z',
                73:'-41x566y-1279z',
                74:'-436x1266y-407z',
                75:'-438x821y-1045z',
                76:'-475x788y-1054z',
                77:'-482x1236y-444z',
                78:'-500x1237y-421z',
                79:'-510x753y-1063z',
                80:'-542x717y-1072z',
                81:'-544x1205y-457z',
                82:'-563x1205y-434z',
                83:'-572x680y-1081z',
                84:'-599x641y-1090z',
                85:'-604x1171y-470z',
                86:'-623x1170y-447z',
                87:'-624x601y-1099z',
                88:'-646x560y-1107z',
                89:'-662x1134y-483z',
                90:'-666x519y-1116z',
                91:'-681x1132y-460z',
                92:'-683x477y-1124z',
                93:'-698x434y-1132z',
                94:'-69x551y-1285z',
                95:'-704x23y-1209z',
                96:'-709x392y-1141z',
                97:'-714x61y-1202z',
                98:'-718x1093y-496z',
                99:'-719x349y-1149z',
                100:'-722x100y-1195z',
                101:'-725x306y-1157z',
                102:'-727x140y-1187z',
                103:'-730x181y-1180z',
                104:'-730x264y-1164z',
                105:'-731x222y-1172z',
                106:'-737x1091y-474z',
                107:'-771x1050y-509z',
                108:'-790x1047y-487z',
                109:'-822x1004y-522z',
                110:'-840x1001y-500z',
                111:'-870x956y-535z',
                112:'-883x1086y-4z',
                113:'-888x952y-513z',
                114:'-915x905y-548z',
                115:'-933x900y-526z',
                116:'-939x1038y-18z',
                117:'-957x853y-561z',
                118:'-96x533y-1290z',
                119:'-975x847y-539z',
                120:'-991x987y-32z',
                121:'-996x798y-574z'}

#"
#/>



# -------------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire1400six4xi" usage = "target function for charge2six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------------------------
def fire1400six4xi(queue2six, consumer_channel2six, publisher_channel2six):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE1400SIX4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE1400SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE1400SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE1400SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE1400SIX4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2six.put(shot2six14004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE1400SIX4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE1400SIX4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE1400SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2six8shot2six1400x4xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2six8shot2six1400x4xi</nack2put4xi>" 
            
        publisher_channel2six.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE1400SIX4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
            # 
        
    except:
        print(" (STEP 3C/33) OF FIRE1400SIX4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE1400SIX4XI - RETURNING QUEUE OBJECT QUEUE2SIX: ", queue2six, " - TIME: ", time4xi())  
        # 
            
    return queue2six    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire1400six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
